=== debian/control ===
Source: ros-noetic-cmvision
Section: misc
Priority: optional
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libfltk1.1-dev, libwxgtk3.0-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/cmvision
Standards-Version: 3.9.2

Package: ros-noetic-cmvision
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfltk1.1-dev, libwxgtk3.0-dev, ros-noetic-cv-bridge, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Node for the Color Machine Vision Project, used for fast color blob detection
